Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Radioknopf

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Knopf
                  sum.komponenten.Radioknopf

All Implemented Interfaces:
  Serializable

    public class Radioknopf

extends Knopf
implements Serializable

Ein Radioknopf ist eine Unterklasse vom Knopf. Radioknöpfe werden in einer Radiogruppe zusammengefasst. In der Gruppe kann nur ein Radioknopf aktiv sein.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`protected JRadioButton` | `hatRadioButton`
`protected String` | `zGeklicktBearbeiter`

Fields inherited from class sum.komponenten.Knopf
`hatButton`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Radioknopf(double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift)` Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text.
`Radioknopf(double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift, String pGeklicktBearbeiter)` Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text.
`Radioknopf(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift)` Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text.
`Radioknopf(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pAufschrift, String pGeklicktBearbeiter)` Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text.

Method Summary
`protected void` | `bekommtFokus()` Der Knopf erhaelt den Fokus.
`boolean` | `istGewaehlt()` ist der Radioknopf ausgewaehlt.
`protected void` | `knopfGeklickt()` Der Knopf reagiert auf einen Mausklick, indem er die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.
`void` | `setzeBearbeiterGeklickt(String pBearbeiter)` Die Methode zur Bearbeitung des Geklickt-Ereignisses in der Ereignisanwendung wird festgelegt.
`protected void` | `verliertFokus()` Der Knopf verliert den Fokus.
`void` | `waehle()` der Radioknopf wird ausgewaehlt.

Methods inherited from class sum.komponenten.Knopf
`inhaltAlsText, setzeInhalt`

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatRadioButton

    protected JRadioButton hatRadioButton

### zGeklicktBearbeiter

    protected String zGeklicktBearbeiter

Constructor Detail

### Radioknopf

    public Radioknopf(double pLinks,
                      double pOben,
                      double pBreite,
                      double pHoehe,
                      String pAufschrift)

  Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Radioknopf befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Text, der neben der Komponente dargestellt wird

### Radioknopf

    public Radioknopf(double pLinks,
                      double pOben,
                      double pBreite,
                      double pHoehe,
                      String pAufschrift,
                      String pGeklicktBearbeiter)

  Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Radioknopf befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Text, der neben der Komponente dargestellt wird
    `pGeklicktBearbeiter` - der Bezeichner des Dienstes, der aufgerufen wird, wenn der Knopf geklickt wird

### Radioknopf

    public Radioknopf(Fenster pFenster,
                      double pLinks,
                      double pOben,
                      double pBreite,
                      double pHoehe,
                      String pAufschrift)

  Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Radioknopf befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Text, der neben der Komponente dargestellt wird

### Radioknopf

    public Radioknopf(Fenster pFenster,
                      double pLinks,
                      double pOben,
                      double pBreite,
                      double pHoehe,
                      String pAufschrift,
                      String pGeklicktBearbeiter)

  Der Radioknopf wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Radioknopf befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pAufschrift` - der Text, der neben der Komponente dargestellt wird
    `pGeklicktBearbeiter` - der Bezeichner des Dienstes, der aufgerufen wird, wenn der Knopf geklickt wird

Method Detail

### bekommtFokus

    protected void bekommtFokus()

  Der Knopf erhaelt den Fokus.

  Overrides:
    `bekommtFokus` in class `Knopf`

### istGewaehlt

    public boolean istGewaehlt()

  ist der Radioknopf ausgewaehlt.

  Returns:
    true, wenn der Radioknopf gewaehlt ist.

### knopfGeklickt

    protected void knopfGeklickt()

  Der Knopf reagiert auf einen Mausklick, indem er die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.

  Overrides:
    `knopfGeklickt` in class `Knopf`

### setzeBearbeiterGeklickt

    public void setzeBearbeiterGeklickt(String pBearbeiter)

  Die Methode zur Bearbeitung des Geklickt-Ereignisses in der Ereignisanwendung wird festgelegt.

  Overrides:
    `setzeBearbeiterGeklickt` in class `Knopf`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Knopf geklickt wird

### verliertFokus

    protected void verliertFokus()

  Der Knopf verliert den Fokus.

  Overrides:
    `verliertFokus` in class `Knopf`

### waehle

    public void waehle()

  der Radioknopf wird ausgewaehlt.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD